Debian Bug report logs - #565187
please provide a user-friendly init script to set networking on or off

version graph

Package: netbase; Maintainer for netbase is Marco d'Itri <md@linux.it>; Source for netbase is src:netbase.

Reported by: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>

Date: Wed, 13 Jan 2010 19:21:08 UTC

Severity: normal

Found in version netbase/4.40

Fixed in version 5.0

Done: md@Linux.IT (Marco d'Itri)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#565187; Package netbase. (Wed, 13 Jan 2010 19:21:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>:
New Bug report received and forwarded. Copy sent to Marco d'Itri <md@linux.it>. (Wed, 13 Jan 2010 19:21:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: netbase: Command deprecated and not explained
Date: Wed, 13 Jan 2010 17:03:59 -0200
Package: netbase
Version: 4.40
Severity: normal

In Squeeze, the command

# /etc/init.d/networking restart

returns the message produced by this line:

log_warning_msg "Running $0 $1 is deprecated because it may not enable again some interfaces"

However, the command doesn't tell how to make to restart the interfaces efficiently.

Please, add a message to guide the final user.

Thanks a lot.

Regards,

Eriberto - Brazil
 

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.30-2-686 (SMP w/1 CPU core)
Locale: LANG=pt_BR.UTF-8, LC_CTYPE=pt_BR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages netbase depends on:
ii  initscripts                   2.87dsf-8  scripts for initializing and shutt
ii  lsb-base                      3.2-23     Linux Standard Base 3.2 init scrip

Versions of packages netbase recommends:
ii  ifupdown                      0.6.9      high level tools to configure netw

netbase suggests no packages.

-- no debconf information




Reply sent to md@Linux.IT (Marco d'Itri):
You have taken responsibility. (Wed, 13 Jan 2010 19:36:12 GMT) Full text and rfc822 format available.

Notification sent to Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>:
Bug acknowledged by developer. (Wed, 13 Jan 2010 19:36:12 GMT) Full text and rfc822 format available.

Message #10 received at 565187-done@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>, 565187-done@bugs.debian.org
Subject: Re: Bug#565187: netbase: Command deprecated and not explained
Date: Wed, 13 Jan 2010 20:35:06 +0100
[Message part 1 (text/plain, inline)]
On Jan 13, Joao Eriberto Mota Filho <eriberto@eriberto.pro.br> wrote:

> However, the command doesn't tell how to make to restart the interfaces efficiently.
That is not the place for documentation. There is not a good solution
either.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#565187; Package netbase. (Wed, 13 Jan 2010 20:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eriberto <eriberto@eriberto.pro.br>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Wed, 13 Jan 2010 20:03:04 GMT) Full text and rfc822 format available.

Message #15 received at 565187@bugs.debian.org (full text, mbox):

From: Eriberto <eriberto@eriberto.pro.br>
To: 565187@bugs.debian.org
Cc: md@Linux.IT
Subject: Re: Bug#565187 closed by md@Linux.IT (Marco d'Itri) (Re: Bug#565187: netbase: Command deprecated and not explained)
Date: Wed, 13 Jan 2010 18:01:46 -0200
We have several commands making it... It isn't a documentation; is a
guidance. Can be something as "use foo command". Documentation is a
README.Debian (and it doesn't explain about the problem).  However,
what is the solution???

Thanks,

Eriberto

> ---------- Mensagem encaminhada ----------
> From: md@Linux.IT (Marco d'Itri)
> To: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>, 565187-done@bugs.debian.org
> Date: Wed, 13 Jan 2010 20:35:06 +0100
> Subject: Re: Bug#565187: netbase: Command deprecated and not explained
> On Jan 13, Joao Eriberto Mota Filho <eriberto@eriberto.pro.br> wrote:
>
>> However, the command doesn't tell how to make to restart the interfaces efficiently.
> That is not the place for documentation. There is not a good solution
> either.
>
> ciao,
> Marco




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#565187; Package netbase. (Wed, 13 Jan 2010 20:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Wed, 13 Jan 2010 20:06:03 GMT) Full text and rfc822 format available.

Message #20 received at 565187@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Eriberto <eriberto@eriberto.pro.br>
Cc: 565187@bugs.debian.org
Subject: Re: Bug#565187 closed by md@Linux.IT (Marco d'Itri) (Re: Bug#565187: netbase: Command deprecated and not explained)
Date: Wed, 13 Jan 2010 21:02:42 +0100
[Message part 1 (text/plain, inline)]
On Jan 13, Eriberto <eriberto@eriberto.pro.br> wrote:

> We have several commands making it... It isn't a documentation; is a
> guidance. Can be something as "use foo command". Documentation is a
> README.Debian (and it doesn't explain about the problem).  However,
> what is the solution???
Manually bringing down/up the interfaces which you need need to.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#565187; Package netbase. (Wed, 13 Jan 2010 20:36:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eriberto <eriberto@eriberto.pro.br>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Wed, 13 Jan 2010 20:36:10 GMT) Full text and rfc822 format available.

Message #25 received at 565187@bugs.debian.org (full text, mbox):

From: Eriberto <eriberto@eriberto.pro.br>
To: "Marco d'Itri" <md@linux.it>
Cc: 565187@bugs.debian.org
Subject: Re: Bug#565187 closed by md@Linux.IT (Marco d'Itri) (Re: Bug#565187: netbase: Command deprecated and not explained)
Date: Wed, 13 Jan 2010 18:33:40 -0200
Marco, sorry for my insistence but I think the "/etc/init.d/networking
restart" must provide the "restart" function. Then, for me, restart is
"all interfaces down", "all interfaces up". Make it by hand is a
throwback when others distributions have and keep this feature.

Am i wrong?

Regards,

Eriberto

2010/1/13 Marco d'Itri <md@linux.it>:
>> However, what is the solution???
> Manually bringing down/up the interfaces which you need need to.




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#565187; Package netbase. (Wed, 13 Jan 2010 20:51:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Wed, 13 Jan 2010 20:51:20 GMT) Full text and rfc822 format available.

Message #30 received at 565187@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Eriberto <eriberto@eriberto.pro.br>
Cc: 565187@bugs.debian.org
Subject: Re: Bug#565187 closed by md@Linux.IT (Marco d'Itri) (Re: Bug#565187: netbase: Command deprecated and not explained)
Date: Wed, 13 Jan 2010 21:36:02 +0100
[Message part 1 (text/plain, inline)]
On Jan 13, Eriberto <eriberto@eriberto.pro.br> wrote:

> Marco, sorry for my insistence but I think the "/etc/init.d/networking
> restart" must provide the "restart" function. Then, for me, restart is
And maybe a pony too.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 11 Feb 2010 07:33:37 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Marcus Furlong <furlongm@gmail.com> to control@bugs.debian.org. (Mon, 31 Jan 2011 05:18:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#565187; Package netbase. (Mon, 31 Jan 2011 05:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcus Furlong <furlongm@gmail.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Mon, 31 Jan 2011 05:42:03 GMT) Full text and rfc822 format available.

Message #39 received at 565187@bugs.debian.org (full text, mbox):

From: Marcus Furlong <furlongm@gmail.com>
To: 565187@bugs.debian.org
Date: Mon, 31 Jan 2011 16:38:40 +1100
2010/1/13 Marco d'Itri <md@linux.it>:
>> However, what is the solution???
> Manually bringing down/up the interfaces which you need need

It's not possible to do this remotely without killing your ssh session
(assuming the ssh session is on that interface).

So a possible workaround is to write a script with ifdown/ifup for
each interface that you want to restart. But is this not what the
networking init-script is for?

Regards,
Marcus.

-- 
Marcus Furlong




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#565187; Package netbase. (Sat, 26 Feb 2011 16:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominik <dominiks.mail@gmx.net>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sat, 26 Feb 2011 16:18:03 GMT) Full text and rfc822 format available.

Message #44 received at 565187@bugs.debian.org (full text, mbox):

From: Dominik <dominiks.mail@gmx.net>
To: 565187@bugs.debian.org
Subject: Running /etc/init.d/networking restart is deprecated because it may not enable again some interfaces ... (warning).
Date: Sat, 26 Feb 2011 17:15:22 +0100
A feature should work or a feature shouldn't be in there.
The last three lines I heard from my server were:

# /etc/init.d/networking restart
Running /etc/init.d/networking restart is deprecated because it may not 
enable again some interfaces ... (warning).
Reconfiguring network interfaces...

I think there shouldn't be a reason why to read init scripts before 
executing them, because many of them worked for years without trouble.

Maintainers should respect that and not brew their own tea.




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#565187; Package netbase. (Mon, 07 Mar 2011 22:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Jürgens <ma@jgs-wg.de>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Mon, 07 Mar 2011 22:36:03 GMT) Full text and rfc822 format available.

Message #49 received at 565187@bugs.debian.org (full text, mbox):

From: Martin Jürgens <ma@jgs-wg.de>
To: 565187@bugs.debian.org
Subject: same problem
Date: Mon, 07 Mar 2011 23:27:40 +0100
the same thing happened to me a while ago.
i thought it might only be a bad joke (reading about restart being 
deprecated and losing network connection / ssh access at the same time), 
especially because it works just fine with my RHEL-servers.




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#565187; Package netbase. (Mon, 28 Mar 2011 16:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "larsen007@web.de" <larsen007@web.de>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Mon, 28 Mar 2011 16:06:03 GMT) Full text and rfc822 format available.


Message #54 received at 565187@bugs.debian.org (full text, mbox):

From: "larsen007@web.de" <larsen007@web.de>
To: 565187@bugs.debian.org
Date: Mon, 28 Mar 2011 17:52:36 +0200
I just came across that deprecated message, too. Besides this bug report,  
Google found 940.000 results (2.770 when put in parentheses), so I guess  
some bytes of text leading the user to a solution (or simply stating what  
to use instead) would make life easier for a lot of people and  
additionally reduce the amount of support requests.


Lars




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Apr 2011 07:41:33 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Mathieu Roy <yeupou@gnu.org> to control@bugs.debian.org. (Fri, 20 Jul 2012 11:57:05 GMT) Full text and rfc822 format available.

Bug reopened Request was from Mathieu Roy <yeupou@gnu.org> to control@bugs.debian.org. (Fri, 20 Jul 2012 11:57:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#565187; Package netbase. (Fri, 20 Jul 2012 12:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Roy <yeupou@gnu.org>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Fri, 20 Jul 2012 12:03:02 GMT) Full text and rfc822 format available.

Message #65 received at 565187@bugs.debian.org (full text, mbox):

From: Mathieu Roy <yeupou@gnu.org>
To: control@bugs.debian.org, 565187@bugs.debian.org
Subject: Fwd: please provide a user-friendly init script to set networking on or off
Date: Fri, 20 Jul 2012 14:01:02 +0200
retitle 565187 please provide a user-friendly init script to set networking on or off
thanks

>I just came across that deprecated message, too. Besides this bug report,  
>Google found 940.000 results (2.770 when put in parentheses), so I guess  
>some bytes of text leading the user to a solution (or simply stating what  
>to use instead) would make life easier for a lot of people and  
>additionally reduce the amount of support requests.

I still get this error message, the problem is still here.

Seems to me there is no solution apart from using ifup/ifdown by hand for each interface (hum, 2012? Great. I understand why someone would not advertise killing /etc/init.d/networking with such "alternative").

The fact that Debian tries to bring up interfaces whenever they are plugged in is good. It is quite obvious it should not require any configuration of any kind to fire up an ethernet card that can find an IP with DHCP. So I guess the following should always be assumed for any available interface:
  allow-hotplug ethX
  iface ethX inet dhcp

I'm however concerned by the fact it would bring interfaces even if /etc/init.d/networking was never started, though. Does this mean now Debian is connected to the web with no immediate way for the use to shut it down?

Considering there's no replacement for /etc/init.d/networking I guess we could all agree that a way to handle this (now closed) bug (that's a regression, something that used to work that no longer works, so it's a bug) would be to improve the script so it would, at least, list active interface before bringing them down and attempt afterwards to bring them up?

( Or are we supposed to use stuff like NetworkManager that reinvent it's very broken way /etc/network/interfaces and poorly handle pre-up/post-up/pre-down/post-down scripts as described http://yeupou.wordpress.com/2011/09/15/automounting-nfs-shares-using-if-up-dif-down-d/ ?)

Don't you think it would be useful to keep providing a switch on/off for networking? We can surely unplug the cable whenever we want immediate  disconnect, but cannot we have something a bit more user-friendly?

If you really do not want to, then you should consider removing completely the /etc/init.d/networking script from your package. Then maybe another package will provide it. 
e problem is still here.

Seems to me there is no solution apart from using ifup/ifdown by hand for each interface (hum, 2012? Great. I understand why someone would not advertise killing /etc/init.d/networking with such "alternative").

The fact that Debian tries to bring up interfaces whenever they are plugged in is good. It is quite obvious it should not require any configuration of any kind to fire up an ethernet card that can find an IP with DHCP. So I guess the following should always be assumed for any available interface:
  allow-hotplug ethX
  iface ethX inet dhcp

I'm however concerned by the fact it would bring interfaces even if /etc/init.d/networking was never started, though. Does this mean now Debian is connected to the web with no immediate way for the use to shut it down?

Considering there's no replacement for /etc/init.d/networking I guess we could all agree that a way to handle this (now closed) bug (that's a regression, something that used to work that no longer works, so it's a bug) would be to improve the script so it would, at least, list active interface before bringing them down and attempt afterwards to bring them up?

( Or are we supposed to use stuff like NetworkManager that reinvent it's very broken way /etc/network/interfaces and poorly handle pre-up/post-up/pre-down/post-down scripts as described http://yeupou.wordpress.com/2011/09/15/automounting-nfs-shares-using-if-up-dif-down-d/ ?)

Don't you think it would be useful to keep providing a switch on/off for networking? We can surely unplug the cable whenever we want immediate  disconnect, but cannot we have something a bit more user-friendly?

If you really do not want to, then you should consider removing completely the /etc/init.d/networking script from your package. Then maybe another package will provide it. 




-- 
Mathieu Roy



Changed Bug title to 'please provide a user-friendly init script to set networking on or off' from 'netbase: Command deprecated and not explained' Request was from Mathieu Roy <yeupou@gnu.org> to control@bugs.debian.org. (Fri, 20 Jul 2012 12:03:08 GMT) Full text and rfc822 format available.

Reply sent to md@Linux.IT (Marco d'Itri):
You have taken responsibility. (Fri, 20 Jul 2012 12:33:11 GMT) Full text and rfc822 format available.

Notification sent to Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>:
Bug acknowledged by developer. (Fri, 20 Jul 2012 12:33:11 GMT) Full text and rfc822 format available.

Message #72 received at 565187-done@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Mathieu Roy <yeupou@gnu.org>, 565187-done@bugs.debian.org
Subject: Re: Bug#565187: Fwd: please provide a user-friendly init script to set networking on or off
Date: Fri, 20 Jul 2012 14:26:23 +0200
[Message part 1 (text/plain, inline)]
Version: 5.0

On Jul 20, Mathieu Roy <yeupou@gnu.org> wrote:

> If you really do not want to, then you should consider removing completely the /etc/init.d/networking script from your package. Then maybe another package will provide it. 
Guess what? I did.
But thank you anyway for wasting my time with your rant.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#565187; Package netbase. (Fri, 20 Jul 2012 12:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Roy <yeupou@gnu.org>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Fri, 20 Jul 2012 12:48:03 GMT) Full text and rfc822 format available.

Message #77 received at 565187@bugs.debian.org (full text, mbox):

From: Mathieu Roy <yeupou@gnu.org>
To: "Marco d'Itri" <md@linux.it>
Cc: 565187@bugs.debian.org
Subject: Re: Bug#565187: Fwd: please provide a user-friendly init script to set networking on or off
Date: Fri, 20 Jul 2012 14:44:16 +0200
Le vendredi 20 juillet 2012, Marco d'Itri a écrit :
> Version: 5.0
> 
> On Jul 20, Mathieu Roy <yeupou@gnu.org> wrote:
> 
> > If you really do not want to, then you should consider removing completely the /etc/init.d/networking script from your package. Then maybe another package will provide it. 
> Guess what? I did.

Thanks for this great improvement.
So now Debian is an operating system with, by donedefault, no way of shutting down networking with one command? Good, we're making progress here. That'll help.

> But thank you anyway for wasting my time with your rant.

You're welcome, it is always a tremendous pleasure to deal with people providing replies like:
- "That is not the place for documentation [NOT THE PROBLEM AT HAND]. There is not a good solution"
either [AND... THE GOOD ONE IS?]"
-  "Manually bringing down/up the interfaces which you need need to [HUM NOT DOING IS MANUALLY AND BY INTERFACE CAN BE SOLVED BY DOING IT MANUALLY AND BY INTERFACE; YOU SURELY TOOK THE TIME TO UNDERSTAND THE USER EXPECTATIONS]" 
- "And maybe a pony too. [MY BAD, NOW I KNOW WHAT YOU THINK OF USERS EXPECTATIONS]"

Nice to clarify what we can expect from the Debian netbase package maintainer. As you do do and we don't, we'll workaround anyway :-) 
Thanks for your attention. Good work done here.





-- 
Mathieu Roy



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 18 Aug 2012 07:26:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:28:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.